For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Opportunity object
          • GET/opportunities
          • POST/opportunities
          • GET/opportunities/{id}
          • PATCH/opportunities/{id}
          • GET/opportunities/meta/patch/{id}
          • GET/opportunities/meta/post
          • GET/opportunities/remote-field-classes
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsOpportunities

/opportunities/{id}

GET
/crm/v1/opportunities/:id
GET
/api/crm/v1/opportunities/:id
$curl -G https://api.merge.dev/api/crm/v1/opportunities/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> --data-urlencode expand=owner,stage,account \
> -d remote_fields=status \
> -d show_enum_origins=status
200Retrieved
1{
2 "id": "550e8400-e29b-41d4-a716-446655440000",
3 "remote_id": "19202938",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "name": "Needs Integrations",
7 "description": "Needs a Unified API for Integrations!",
8 "amount": 100000,
9 "owner": "0358cbc6-2040-430a-848e-aafacbadf3aa",
10 "account": "0958cbc6-6040-430a-848e-aafacbadf4ae",
11 "stage": "1968cbc6-6040-430a-848e-aafacbadf4ad",
12 "status": "WON",
13 "last_activity_at": "2022-02-10T00:00:00Z",
14 "close_date": "2022-02-10T00:00:00Z",
15 "remote_created_at": "2021-11-10T00:00:00Z",
16 "remote_was_deleted": true,
17 "field_mappings": {
18 "organization_defined_targets": {
19 "custom_key": "custom_value"
20 },
21 "linked_account_defined_targets": {
22 "custom_key": "custom_value"
23 }
24 },
25 "remote_data": [
26 {
27 "path": "/opportunities",
28 "data": null
29 }
30 ],
31 "remote_fields": [
32 {
33 "remote_field_class": {
34 "id": "string",
35 "display_name": "string",
36 "remote_key_name": "string",
37 "description": "string",
38 "is_custom": true,
39 "is_common_model_field": true,
40 "is_required": true,
41 "field_type": "string",
42 "field_format": "string",
43 "field_choices": [
44 "string"
45 ],
46 "item_schema": {
47 "item_type": "string",
48 "item_format": "string",
49 "item_choices": [
50 "string"
51 ]
52 }
53 },
54 "value": "string"
55 }
56 ]
57}

Returns an Opportunity object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/opportunities

Next

/opportunities/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_remote_fieldsbooleanOptional
Whether to include all remote fields, including fields that Merge did not map to common models, in a normalized format.
include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

remote_fieldsenumOptional

Deprecated. Use show_enum_origins.

Allowed values:
show_enum_originsenumOptional
A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)
Allowed values:

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
namestring or null
The opportunity's name.
descriptionstring or null
The opportunity's description.
amountinteger or null-2147483648-2147483647
The opportunity's amount.
ownerstring or nullformat: "uuid"
The opportunity's owner.
accountstring or nullformat: "uuid"
The account of the opportunity.
stagestring or nullformat: "uuid"
The stage of the opportunity.
statusenum or null

The opportunity’s status.

  • OPEN - OPEN
  • WON - WON
  • LOST - LOST
Allowed values:
last_activity_atdatetime or null
When the opportunity's last activity occurred.
close_datedatetime or null
When the opportunity was closed.
remote_created_atdatetime or null
When the third party's opportunity was created.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only
remote_fieldslist of objectsRead-only

A comma separated list of enum field names for which you’d like the original values to be returned, instead of Merge’s normalized enum values. Learn more